Package org.apache.qpid.proton.engine

# Interface CoreHandler

All Superinterfaces:
  `Handler`

All Known Implementing Classes:
  `BaseHandler`, `FlowController`, `Handshaker`, `IOHandler`

public interface CoreHandler extends Handler

## Method Summary

Modifier and Type
Method
Description
`void`
`onConnectionBound(Event e)`
`void`
`onConnectionFinal(Event e)`
`void`
`onConnectionInit(Event e)`
`void`
`onConnectionLocalClose(Event e)`
`void`
`onConnectionLocalOpen(Event e)`
`void`
`onConnectionRemoteClose(Event e)`
`void`
`onConnectionRemoteOpen(Event e)`
`void`
`onConnectionUnbound(Event e)`
`void`
`onDelivery(Event e)`
`void`
`onLinkFinal(Event e)`
`void`
`onLinkFlow(Event e)`
`void`
`onLinkInit(Event e)`
`void`
`onLinkLocalClose(Event e)`
`void`
`onLinkLocalDetach(Event e)`
`void`
`onLinkLocalOpen(Event e)`
`void`
`onLinkRemoteClose(Event e)`
`void`
`onLinkRemoteDetach(Event e)`
`void`
`onLinkRemoteOpen(Event e)`
`void`
`onReactorFinal(Event e)`
`void`
`onReactorInit(Event e)`
`void`
`onReactorQuiesced(Event e)`
`void`
`onSelectableError(Event e)`
`void`
`onSelectableExpired(Event e)`
`void`
`onSelectableFinal(Event e)`
`void`
`onSelectableInit(Event e)`
`void`
`onSelectableReadable(Event e)`
`void`
`onSelectableUpdated(Event e)`
`void`
`onSelectableWritable(Event e)`
`void`
`onSessionFinal(Event e)`
`void`
`onSessionInit(Event e)`
`void`
`onSessionLocalClose(Event e)`
`void`
`onSessionLocalOpen(Event e)`
`void`
`onSessionRemoteClose(Event e)`
`void`
`onSessionRemoteOpen(Event e)`
`void`
`onTimerTask(Event e)`
`void`
`onTransport(Event e)`
`void`
`onTransportClosed(Event e)`
`void`
`onTransportError(Event e)`
`void`
`onTransportHeadClosed(Event e)`
`void`
`onTransportTailClosed(Event e)`

### Methods inherited from interface org.apache.qpid.proton.engine.Handler

`add, children, handle, onUnhandled`

## Method Details

### onConnectionInit

void onConnectionInit(Event e)

### onConnectionLocalOpen

void onConnectionLocalOpen(Event e)

### onConnectionRemoteOpen

void onConnectionRemoteOpen(Event e)

### onConnectionLocalClose

void onConnectionLocalClose(Event e)

### onConnectionRemoteClose

void onConnectionRemoteClose(Event e)

### onConnectionBound

void onConnectionBound(Event e)

### onConnectionUnbound

void onConnectionUnbound(Event e)

### onConnectionFinal

void onConnectionFinal(Event e)

### onSessionInit

void onSessionInit(Event e)

### onSessionLocalOpen

void onSessionLocalOpen(Event e)

### onSessionRemoteOpen

void onSessionRemoteOpen(Event e)

### onSessionLocalClose

void onSessionLocalClose(Event e)

### onSessionRemoteClose

void onSessionRemoteClose(Event e)

### onSessionFinal

void onSessionFinal(Event e)

### onLinkInit

void onLinkInit(Event e)

### onLinkLocalOpen

void onLinkLocalOpen(Event e)

### onLinkRemoteOpen

void onLinkRemoteOpen(Event e)

### onLinkLocalDetach

void onLinkLocalDetach(Event e)

### onLinkRemoteDetach

void onLinkRemoteDetach(Event e)

### onLinkLocalClose

void onLinkLocalClose(Event e)

### onLinkRemoteClose

void onLinkRemoteClose(Event e)

### onLinkFlow

void onLinkFlow(Event e)

### onLinkFinal

void onLinkFinal(Event e)

### onDelivery

void onDelivery(Event e)

### onTransport

void onTransport(Event e)

### onTransportError

void onTransportError(Event e)

### onTransportHeadClosed

void onTransportHeadClosed(Event e)

### onTransportTailClosed

void onTransportTailClosed(Event e)

### onTransportClosed

void onTransportClosed(Event e)

### onReactorInit

void onReactorInit(Event e)

### onReactorQuiesced

void onReactorQuiesced(Event e)

### onReactorFinal

void onReactorFinal(Event e)

### onTimerTask

void onTimerTask(Event e)

### onSelectableInit

void onSelectableInit(Event e)

### onSelectableUpdated

void onSelectableUpdated(Event e)

### onSelectableReadable

void onSelectableReadable(Event e)

### onSelectableWritable

void onSelectableWritable(Event e)

### onSelectableExpired

void onSelectableExpired(Event e)

### onSelectableError

void onSelectableError(Event e)

### onSelectableFinal

void onSelectableFinal(Event e)